package com.cku.dao;

import java.util.List;

import com.cku.model.IpAddress;
import com.cku.model.IpBlackList;

/**
 * ip映射表DAO接口
 * 
 * @author ip映射表
 * @version 2019-10-18
 */
public interface IpAddressMapper  {

	int insert(IpAddress ipAddress);

	IpAddress findByParam(IpAddress ipAddress);

	int updateByParam(IpAddress ipAddress);

	List<IpBlackList> findIpBlackList(String ip);
}